package com.qianhe.zqbf.service;

import com.qianhe.zqbf.domain.ZqbfXmzBfzj;
import com.qianhe.zqbf.domain.ZqbfXmzBfzjQuery;
import com.qianhe.zqbf.domain.ZqbfXmzBfzjVo;

import java.util.List;

public interface ZqbfXmzBfzjService {
    /**
     * 条件查询
     */
    List<ZqbfXmzBfzjVo> list(ZqbfXmzBfzjQuery zqbfXmzBfzjQuery);

    /**
     * 查询详情
     */
    ZqbfXmzBfzjVo info(Long id);

    /**
     * 新增
     */
    int add(ZqbfXmzBfzj zqbfXmzBfzj, String username);

    /**
     * 修改
     */
    int edit(ZqbfXmzBfzj zqbfXmzBfzj, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
